/*
Form check
 */
.form-check {
  user-select: none;

  &.form-check-highlight .form-check-input:not(:checked) ~ .form-check-label {
    opacity: $text-muted-opacity;
  }
}

.form-check-input {
  background-size: $form-check-input-width;
  margin-top: 0.1666667rem; // ($form-check-min-height - $form-check-input-width) / 2;

  .form-switch & {
    transition: .3s background-color, .3s background-position;
  }
}

.form-check-label {
  display: block;
}

.form-check-description {
  display: block;
  color: $text-muted;
  font-size: $h5-font-size;
  margin-top: .25rem;
}


.form-check-single {
  margin: 0;

  .form-check-input {
    margin: 0;
  }
}

/*
Form switch
 */
.form-switch {
  .form-check-input {
    height: $form-switch-height;
    margin-top: 0.1666667rem; // ($form-check-min-height - $form-switch-height) / 2;
  }
}

/*

Taken from compiled rimow.css

*/

.was-validated .form-check-input:valid,
.form-check-input.is-valid {
  border-color: #52ad9c;
}

.was-validated .form-check-input:valid:checked,
.form-check-input.is-valid:checked {
  background-color: #52ad9c;
}

.was-validated .form-check-input:valid:focus,
.form-check-input.is-valid:focus {
  box-shadow: 0 0 0 0.25rem rgba(82, 173, 156, 0.25);
}

.was-validated .form-check-input:valid ~ .form-check-label,
.form-check-input.is-valid ~ .form-check-label {
  color: #52ad9c;
}

.form-check-inline .form-check-input ~ .valid-feedback {
  margin-left: .5em;
}

.was-validated .form-check-input:invalid, .form-check-input.is-invalid {
  border-color: #f5768d;
}

.was-validated .form-check-input:invalid:checked,
.form-check-input.is-invalid:checked {
  background-color: #f5768d;
}

.was-validated .form-check-input:invalid:focus,
.form-check-input.is-invalid:focus {
  box-shadow: 0 0 0 0.25rem rgba(245, 118, 141, 0.25);
}

.was-validated .form-check-input:invalid ~ .form-check-label,
.form-check-input.is-invalid ~ .form-check-label {
  color: #f5768d;
}

.form-check.form-check-highlight .form-check-input:not(:checked) ~ .form-check-label {
  opacity: 0.7;
}

.form-check-input {
  background-size: 1rem;
  margin-top: 0.125rem;
  position: static;
}

.form-switch .form-check-input {
  transition: .3s background-color, .3s background-position;
}

.form-check-single .form-check-input {
  margin: 0;
}

.form-check-inline .form-check-input ~ .invalid-feedback {
  margin-left: .5em;
}

.form-check-input {
  width: 1rem;
  height: 1rem;
  margin-top: 0.1666667rem;
  vertical-align: top;
  background-color: #ffffff;
  background-repeat: no-repeat;
  background-position: center;
  background-size: contain;
  border: 1px solid rgba(141, 123, 168, 0.24);
  -webkit-appearance: none;
     -moz-appearance: none;
          appearance: none;
  -webkit-print-color-adjust: exact;
          color-adjust: exact;
  transition: background-color 0.15s ease-in-out, background-position 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}

@media (prefers-reduced-motion: reduce) {
  .form-check-input {
    transition: none;
  }
}

.form-check-input[type="checkbox"] {
  border-radius: 3px;
}

.form-check-input[type="radio"] {
  border-radius: 50%;
}

.form-check-input:active {
  filter: brightness(90%);
}

.form-check-input:focus {
  border-color: #bba8d8;
  outline: 0;
  box-shadow: 0 0 0 0.25rem rgba(118, 80, 176, 0.25);
}

.form-check-input:checked {
  background-color: #7650b0;
  border-color: rgba(141, 123, 168, 0.24);
}

.form-check-input:checked[type="checkbox"] {
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' width='16' height='16'%3e%3cpath fill='none' stroke='%23ffffff' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='M4 8.5l2.5 2.5l5.5 -5.5'/%3e%3c/svg%3e");
}

.form-check-input:checked[type="radio"] {
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3e%3ccircle r='3' fill='%23ffffff' cx='8' cy='8' /%3e%3c/svg%3e");
}

.form-check-input[type="checkbox"]:indeterminate {
  background-color: #7650b0;
  border-color: #7650b0;
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 20 20'%3e%3cpath fill='none' stroke='%23ffffff' stroke-linecap='round' stroke-linejoin='round' stroke-width='3' d='M6 10h8'/%3e%3c/svg%3e");
}

.form-check-input:disabled {
  pointer-events: none;
  filter: none;
  opacity: 0.5;
}

.form-check-input[disabled] ~ .form-check-label,
.form-check-input:disabled ~ .form-check-label {
  opacity: 0.7;
}

.form-switch .form-check-input {
  width: 2rem;
  margin-left: -2.5rem;
  height: 1.125rem;
  margin-top: 0.0625rem;
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3e%3ccircle r='3' fill='%23edeaf1'/%3e%3c/svg%3e");
  background-position: left center;
  border-radius: 2rem;
}

.form-switch .form-check-input:focus {
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3e%3ccircle r='3' fill='%23bba8d8'/%3e%3c/svg%3e");
}

.form-switch .form-check-input:checked {
  background-position: right center;
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3e%3ccircle r='3' fill='%23ffffff'/%3e%3c/svg%3e");
}